Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.es
Class ESNull

    java.lang.Object
      |
      +--com.caucho.es.ESBase
            |
            +--com.caucho.es.ESNull

public class ESNull
extends ESBase

Fields inherited from class com.caucho.es.ESBase
`DONT_DELETE, DONT_ENUM, esBase, esEmpty, esNull, esUndefined, READ_ONLY`

Method Summary
`boolean` | `ecmaEquals(ESBase b)`
`java.lang.Class` | `getJavaType()`
`ESBase` | `getProperty(ESString key)`
`void` | `setProperty(ESString key, ESBase value)` Sets the named property
`java.lang.String` | `toJavaString()`
`double` | `toNum()`
`ESString` | `toStr()`
`ESBase` | `typeof()`

Methods inherited from class com.caucho.es.ESBase
`call, call, construct, delete, getProperty, greaterThan, hasProperty, isBoolean, isNum, isString, keys, lessThan, plus, setProperty, setProperty, toBoolean, toInt32, toJavaObject, toObject, toPrimitive, toPrimitive, toSource, toString, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### typeof

    public ESBase typeof()
                  throws ESException

  Overrides:
    `typeof` in class `ESBase`

### getJavaType

    public java.lang.Class getJavaType()

  Overrides:
    `getJavaType` in class `ESBase`

### getProperty

    public ESBase getProperty(ESString key)
                       throws ESException

  Overrides:
    `getProperty` in class `ESBase`

### setProperty

    public void setProperty(ESString key,
                            ESBase value)
                     throws ESException

  Description copied from class: `ESBase`
  Sets the named property
  Overrides:
    `setProperty` in class `ESBase`

### toNum

    public double toNum()
                 throws ESException

  Overrides:
    `toNum` in class `ESBase`

### toStr

    public ESString toStr()
                   throws ESException

  Overrides:
    `toStr` in class `ESBase`

### toJavaString

    public java.lang.String toJavaString()
                                  throws ESException

  Overrides:
    `toJavaString` in class `ESBase`

### ecmaEquals

    public boolean ecmaEquals(ESBase b)

  Overrides:
    `ecmaEquals` in class `ESBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD